Bug 420501 - Review Request: silkscreen-fonts - Silkscreen four member type family
Review Request: silkscreen-fonts - Silkscreen four member type family
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 15:45 EST by Tom "spot" Callaway
Modified: 2008-01-28 15:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 15:54:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-12-11 15:45:23 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/silkscreen-fonts.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/silkscreen-fonts-1.0-1.fc9.src.rpm
Description: 
Silkscreen is a four member type family for your Web graphics created by Jason
Kottke. Silkscreen is best used in places where extremely small graphical
display type is needed. The primary use is for navigational items (nav bars,
menus, etc), but it works well wherever small type is needed. In order to
preserve the proper spacing and letterforms, Silkscreen should be used at 8pt.
multiples (8pt., 16pt., 24pt., etc.) with anti-aliasing turned off.
Comment 1 Jason Tibbitts 2008-01-27 02:18:42 EST
I've no clue why nobody has reviewed this yet; it's a trivial package that
follows the font guidelines to the letter.

* source files match upstream:
   9ad38d3f7841ec2e0d55efcfcc1ed7e7d33f80463dc9831261d1fd9a06f57ff3  
   silkscreen.tar.gz
* package meets naming and versioning guidelines.
* package follows font package guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   silkscreen-fonts = 1.0-1.fc9
  =
   /bin/sh

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (fc-cache)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Tom "spot" Callaway 2008-01-28 11:26:58 EST
New Package CVS Request
=======================
Package Name: silkscreen-fonts
Short Description: Silkscreen four member type family
Owners: spot
Branches: EL-4 EL-5 F-7 F-8
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 3 Tom "spot" Callaway 2008-01-28 11:40:16 EST
cvs done
Comment 4 Tom "spot" Callaway 2008-01-28 15:54:53 EST
Built, thanks for review.

Note You need to log in before you can comment on or make changes to this bug.